Bug 1763474 (EPEL7_pymongo) - Please can you build python3 pymongo and bson for EPEL7
Summary: Please can you build python3 pymongo and bson for EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: EPEL7_pymongo
Product: Fedora EPEL
Classification: Fedora
Component: python-pymongo
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Troy Dawson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EPEL7_dionaea_rhel7.7
TreeView+ depends on / blocked
 
Reported: 2019-10-20 03:16 UTC by Michal Ambroz
Modified: 2019-11-25 00:41 UTC (History)
6 users (show)

Fixed In Version: python-pymongo-2.5.2-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-25 00:41:22 UTC
Type: Bug
rebus: needinfo+


Attachments (Terms of Use)

Description Michal Ambroz 2019-10-20 03:16:06 UTC
Hello,
please can we get python36-pymongo for EPEL7 ?
I would like to use it for dionaea package.

Thank you
Michal Ambroz

Comment 1 Michal Ambroz 2019-10-20 03:17:47 UTC
Technically speaking I would need python36-bson to satisty dionaea requirements.

Comment 2 Michal Ambroz 2019-10-30 20:18:56 UTC
Ping?

Comment 3 Troy Dawson 2019-11-08 20:49:57 UTC
Because of various packages still having dependencies on the python-bson and python-pymongo, the best way to fix this is just rebuild the current epel7 python-pymongo, with the python3 flag enabled.
Actually, it took a little more fixing than that, so that it would build for 36, and a few other python/python2 tweaks.
Anyway, fixed and building.

Comment 4 Fedora Update System 2019-11-08 21:10:30 UTC
FEDORA-EPEL-2019-95eb2240f5 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-95eb2240f5

Comment 5 Michal Ambroz 2019-11-09 21:06:28 UTC
Cool - thank you.

Comment 6 Fedora Update System 2019-11-10 01:17:10 UTC
python-pymongo-2.5.2-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-95eb2240f5

Comment 7 Fedora Update System 2019-11-25 00:41:22 UTC
python-pymongo-2.5.2-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.